Bug 59954 - Unable to deploy watchOS application to simulator or device.
Summary: Unable to deploy watchOS application to simulator or device.
Status: VERIFIED FIXED
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: iOS (show other bugs)
Version: 4.8.0 (15.5)
Hardware: PC Windows
: --- critical
Target Milestone: 15.5
Assignee: Emanuel
URL:
Depends on:
Blocks:
 
Reported: 2017-10-04 13:54 UTC by Gaurav Ganorkar
Modified: 2017-10-27 10:06 UTC (History)
7 users (show)

Tags: Globallogic
Is this bug a regression?: Yes
Last known good build: 4.7.10.22


Attachments
Logs for the Watchos issue (26.26 KB, application/x-zip-compressed)
2017-10-04 13:54 UTC, Gaurav Ganorkar
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Gaurav Ganorkar 2017-10-04 13:54:48 UTC
Created attachment 25094 [details]
Logs for the Watchos issue

Description
-Whenever Tried to deploy the WatchOS application on Both Simulator and Device , Its Throwing exception given below

On Device
- The app 'App37' could not be launched on 'Gaurav’s Apple Watch'. Error: error MT1029: Could not find an application at the specified directory: /Users/gauravganorkar/Library/Caches/Xamarin/mtbs/builds/App37/2640dd632d47742d0c9131be02bce2bb/bin/iPhone/Debug/App37.app/Watch/WatchOSApp1.WatchOSApp.app

On Simulator
- The app 'App37' could not be launched on 'Apple Watch Series 2 - 38mm watchOS 4.0'. Error: error MT0000: Unexpected error - Please file a bug report at http://bugzilla.xamarin.com
System.IO.FileNotFoundException: Could not find required file '/Users/gauravganorkar/Library/Caches/Xamarin/mtbs/builds/App37/2640dd632d47742d0c9131be02bce2bb/bin/iPhoneSimulator/Debug/App37.app/Watch/WatchOSApp1.WatchOSApp.app/Info.plist'.

-----------------------------------------------------------------------------------------------------
Build info 
-
Microsoft Visual Studio Enterprise 2017 d15rel
Version 15.5.0 Preview 1.0 [27003.1.d15rel]
VisualStudio.15.int.d15rel/15.5.0-pre.1.0+27003.1.d15rel
Microsoft .NET Framework
Version 4.7.02046

Installed Version: Enterprise

Xamarin   4.8.0.595 (20b1ba665)
Xamarin.Android SDK   8.1.0.18 (HEAD/f1b1bfb14)
Xamarin.iOS and Xamarin.Mac SDK   11.4.0.67 (0325f5d)

------------------------------------------------------------------------------------------------------
Full Build info gist
-https://gist.github.com/mohakbarokar/76e3a1080967a137f212f1820fad7298
------------------------------------------------------------------------------------------------------

Steps To Reproduce
1-Open Visual Studio with the Config given above
2-Create a WatchOS application
3-Deploy the application on Simulator and Observe the Error
4-Now Deploy the application on the Device and Observe the Error

Actual Result
-Unable to Deploy the WatchOS applicaton on Both Simulator as well as on Device

On Device Getting MT1029 error 
On Simulator Getting MT0000 error

Expected
-WatchOS application should be deployed successfully in Debug Mode

Reproducibility
-100%

Screencast link
-https://www.screencast.com/t/ukwI6k3C92c

Note Logs are attached
Comment 1 xamarin-release-manager 2017-10-06 13:04:18 UTC
Fixed in version 4.9.0.267 (master)

Author: Emanuel
Commit: d5fb320bb5fb5880b82b51cf8d31480184613623 (xamarin/XamarinVS)
Comment 2 Neeraj Deshmukh 2017-10-27 10:06:28 UTC
Verified on build info https://gist.github.com/mohakbarokar/8eaccbd93d4976d68dc38a4edcebd474
Working fine. Hence marking as Verified.